
TYPO3.Neos - Feature # 31639

Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category: UI
Created: 2011-11-07 Assigned To: Aske Ertmann
Updated: 2012-01-31 Due date:
Subject: Implementation of module framework
Description

    -  create prototype / draft (example: show a page tree, user management, group management)
    -  1st step: load module contents as Subrequests
    -  2st step: replace page reloads with AJAX

Module package example:
https://gist.github.com/1534417

Related issues:
related to Base Distribution - Feature # 13527: Simple backend usermanagement Resolved
related to TYPO3.Flow - Bug # 32873: Value changes for logged in account are ... Accepted 2011-12-29
blocks Base Distribution - Epic # 10513: EPIC: System-Monitoring / Maintenance New
blocks Base Distribution - Story # 8798: As Robin I want to edit basic object... On Hold 2010-07-10

Associated revisions
Revision ae35f7c5 - 2012-01-30 11:38 - Aske Ertmann 

[FEATURE] Implementation of module framework

Resolves: #31639
Resolves: #13527
Related: #32873
Related: #33519

Change-Id: I19401c438cabdc6eeffb3ef3d70068e987d3933d

History
#1 - 2011-11-23 14:17 - Sebastian Kurfuerst
- Assigned To set to Aske Ertmann

assigning to Aske, as he wants to work on it.

Notes from the meeting:

    -  Sebastian has created a basic prototype
    -  We should use subrequest for the management view (different modules) since most of the management view would be plugins
    -  No javascript in the beginning, only replace the page reloads with ajax
    -  CSS Framework: http://twitter.github.com/bootstrap/ - could be used for layout of the management view (layout, forms, etc.)
        -  Should consult with Berit
    -  http://html5boilerplate.com/ ?
    -  Create a system view (user/group management) - create new backend user, modify users, delete etc.
    -  (later) Create/integrate a page tree
#2 - 2011-12-01 13:33 - Aske Ertmann

    -  Standalone functionality (no AJAX required)
    -  Abstract module
        -  Routing (route part handler)
        -  Yaml configuration
    -  Dashboard
        -  Show submodules if module has submodules otherwise show actions (default template)
    -  Main modules viewhelper (for the modules menu)
    -  Breadcrumb menu

#3 - 2011-12-29 15:54 - Aske Ertmann
- Subject changed from Implementation of Management View Framework to Implementation of Module View Framework

#4 - 2012-01-02 13:46 - Aske Ertmann
- Status changed from New to Accepted
- % Done changed from 0 to 70

#5 - 2012-01-05 16:02 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#6 - 2012-01-05 16:06 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#7 - 2012-01-05 16:07 - Aske Ertmann

Needs a modification in the FLOW3 RoutePartHandler, which is not really a sustainable solution. Needs rework.

#8 - 2012-01-06 13:05 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#9 - 2012-01-06 15:55 - Sebastian Kurfuerst

A possible list of Phoenix modules to implement for later https://notes.typo3.org/p/PhoenixModules

#10 - 2012-01-26 16:17 - Aske Ertmann
Known routing issues:
    -  Appends exceeding arguments automatically on all f:link links within the sub request.
    -  Additional params is appended after moduleArguments resolving in double ? signs
    -  @format is not supported
#11 - 2012-01-26 16:57 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#12 - 2012-01-26 17:03 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#13 - 2012-01-29 21:15 - Aske Ertmann
- Subject changed from Implementation of Module View Framework to Implementation of module Framework

#14 - 2012-01-29 21:18 - Aske Ertmann
- Subject changed from Implementation of module Framework to Implementation of module framework

#15 - 2012-01-29 21:20 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#16 - 2012-01-29 22:11 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#17 - 2012-01-29 22:44 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#18 - 2012-01-29 22:51 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#19 - 2012-01-30 11:38 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7016

#20 - 2012-01-31 07:46 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 70 to 100
thanks Aske for implementing this :D
